[package]
name = "kvm-bindings"
version = "0.8.1"
authors = ["Amazon firecracker team <firecracker-devel@amazon.com>"]
description = "Rust FFI bindings to KVM generated using bindgen."
repository = "https://github.com/rust-vmm/kvm-bindings"
readme = "README.md"
keywords = ["kvm"]
license = "Apache-2.0"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "docsrs"]

[features]
fam-wrappers = ["vmm-sys-util"]
# It is not needed to enable the `serde` feature of `vmm-sys-util` here, because due to how cargo merges features,
# if a downstream crate enables vmm-sys-util in its Cargo.toml, it will get enabled globally.
serde = ["dep:serde", "serde/derive", "dep:zerocopy"]


[dependencies]
vmm-sys-util = { version = "0.12.1", optional = true }
serde = { version = "1.0.0", optional = true, features = ["derive"] }
zerocopy = { version = "0.7.32", optional = true, features = ["derive"] }

[dev-dependencies]
bincode = "1.3.3"
